## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreModelingAssistantProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider
              org.eclipse.emf.ecoretools.diagram.providers.EcoreModelingAssistantProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider

    public class EcoreModelingAssistantProvider

extends org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider

Constructor Summary
`EcoreModelingAssistantProvider()`

Method Summary
`java.util.List` `getRelTypesOnSource(org.eclipse.core.runtime.IAdaptable source)`
`java.util.List` `getRelTypesOnSourceAndTarget(org.eclipse.core.runtime.IAdaptable source, org.eclipse.core.runtime.IAdaptable target)`
`java.util.List` `getRelTypesOnTarget(org.eclipse.core.runtime.IAdaptable target)`
`java.util.List` `getTypesForPopupBar(org.eclipse.core.runtime.IAdaptable host)`
`java.util.List` `getTypesForSource(org.eclipse.core.runtime.IAdaptable target, org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)`
`java.util.List` `getTypesForTarget(org.eclipse.core.runtime.IAdaptable source, org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)`
`protected boolean` `isApplicableElement(org.eclipse.emf.ecore.EObject element, java.util.Collection types)`
`protected org.eclipse.emf.ecore.EObject` `selectElement(org.eclipse.emf.ecore.EObject[] elements)`
`protected org.eclipse.emf.ecore.EObject` `selectExistingElement(org.eclipse.core.runtime.IAdaptable host, java.util.Collection types)`
`org.eclipse.emf.ecore.EObject` `selectExistingElementForSource(org.eclipse.core.runtime.IAdaptable target, org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)`
`org.eclipse.emf.ecore.EObject` `selectExistingElementForTarget(org.eclipse.core.runtime.IAdaptable source, org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)`

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider
`getRelTypesForSREOnSource, getRelTypesForSREOnTarget, getTypes, provides`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreModelingAssistantProvider

    public EcoreModelingAssistantProvider()

Method Detail

### getTypesForPopupBar

    public java.util.List getTypesForPopupBar(org.eclipse.core.runtime.IAdaptable host)

  Specified by:
    `getTypesForPopupBar` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `getTypesForPopupBar` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### getRelTypesOnSource

    public java.util.List getRelTypesOnSource(org.eclipse.core.runtime.IAdaptable source)

  Specified by:
    `getRelTypesOnSource` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `getRelTypesOnSource` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### getRelTypesOnTarget

    public java.util.List getRelTypesOnTarget(org.eclipse.core.runtime.IAdaptable target)

  Specified by:
    `getRelTypesOnTarget` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `getRelTypesOnTarget` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### getRelTypesOnSourceAndTarget

    public java.util.List getRelTypesOnSourceAndTarget(org.eclipse.core.runtime.IAdaptable source,
                                                       org.eclipse.core.runtime.IAdaptable target)

  Specified by:
    `getRelTypesOnSourceAndTarget` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `getRelTypesOnSourceAndTarget` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### getTypesForSource

    public java.util.List getTypesForSource(org.eclipse.core.runtime.IAdaptable target,
                                            org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)

  Specified by:
    `getTypesForSource` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `getTypesForSource` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### getTypesForTarget

    public java.util.List getTypesForTarget(org.eclipse.core.runtime.IAdaptable source,
                                            org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)

  Specified by:
    `getTypesForTarget` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `getTypesForTarget` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### selectExistingElementForSource

    public org.eclipse.emf.ecore.EObject selectExistingElementForSource(org.eclipse.core.runtime.IAdaptable target,
                                                                        org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)

  Specified by:
    `selectExistingElementForSource` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `selectExistingElementForSource` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### selectExistingElementForTarget

    public org.eclipse.emf.ecore.EObject selectExistingElementForTarget(org.eclipse.core.runtime.IAdaptable source,
                                                                        org.eclipse.gmf.runtime.emf.type.core.IElementType relationshipType)

  Specified by:
    `selectExistingElementForTarget` in interface `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantProvider`
  Overrides:
    `selectExistingElementForTarget` in class `org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider`

### selectExistingElement

    protected org.eclipse.emf.ecore.EObject selectExistingElement(org.eclipse.core.runtime.IAdaptable host,
                                                                  java.util.Collection types)

### isApplicableElement

    protected boolean isApplicableElement(org.eclipse.emf.ecore.EObject element,
                                          java.util.Collection types)

### selectElement

    protected org.eclipse.emf.ecore.EObject selectElement(org.eclipse.emf.ecore.EObject[] elements)

Copyright 2007 Anyware Technologies. All Rights Reserved.